## Class TImageMap

Description

Implements interfaces:

- IPostBackEventHandler

TImageMap class

TImageMap represents an image on a page. Hotspot regions can be defined within the image. Depending on the HotSpotMode, clicking on the hotspots may trigger a postback or navigate to a specified URL. The hotspots defined may be accessed via HotSpots. Each hotspot is described as a THotSpot, which can be a circle, rectangle, polygon, etc. To add hotspot in a template, use the following,

      <com:TImageMap>
        <com:TCircleHotSpot ... />
        <com:TRectangleHotSpot ... />
        <com:TPolygonHotSpot ... />
      </com:TImageMap>

- since: 3.0
- version: $Id: TImageMap.php 1913 2007-05-08 15:59:13Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TImageMap.php (line 40)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TImage
                   |
                   --TImageMap

Class Constant Summary
MAP_NAME_PREFIX = 'ImageMap'
Method Summary
void addAttributesToRender (THtmlWriter $writer)
void addParsedObject (string|TComponent $object)
string getClientClassName ()
THotSpotMode getHotSpotMode ()
THotSpotCollection getHotSpots ()
string getTarget ()
void onClick (TImageMapEventParameter $param)
void raisePostBackEvent (TEventParameter $param)
void render (THtmlWriter $writer)
void setHotSpotMode (THotSpotMode $value)
void setTarget (string $value)
Methods
addAttributesToRender (line 61)

Adds attribute name-value pairs to renderer.

This overrides the parent implementation with additional imagemap specific attributes.

- access: protected

void addAttributesToRender (THtmlWriter $writer)

- THtmlWriter $writer: the writer used for the rendering purpose

Redefinition of:

TImage::addAttributesToRender()
  Adds attributes related to an HTML image element to renderer.

addParsedObject (line 50)

Processes an object that is created during parsing template.

This method adds THotSpot objects into the hotspot collection of the imagemap.

- access: public

void addParsedObject (string|TComponent $object)

- string|TComponent $object: text string or component parsed and instantiated in template

Redefinition of:

TControl::addParsedObject()
  Adds the object instantiated on a template to the child control collection.

getClientClassName (line 128)

Gets the name of the javascript class responsible for performing postback for this control.

This method overrides the parent implementation.

- return: the javascript class name
- access: protected

string getClientClassName ()
getHotSpotMode (line 166)

- return: the behavior of hotspot regions in this imagemap when they are clicked. Defaults to THotSpotMode::NotSet.
- access: public

THotSpotMode getHotSpotMode ()
getHotSpots (line 185)

- return: collection of hotspots defined in this imagemap.
- access: public

THotSpotCollection getHotSpots ()
getTarget (line 198)

- return: the target window or frame to display the new page when a hotspot region is clicked within the imagemap. Defaults to ''.
- access: public

string getTarget ()
onClick (line 218)

Raises OnClick event.

This method is invoked when a hotspot region is clicked within the imagemap. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.

- access: public

void onClick (TImageMapEventParameter $param)

- TImageMapEventParameter $param: event parameter to be passed to the event handlers

raisePostBackEvent (line 139)

Raises the postback event.

This method is required by IPostBackEventHandler interface. This method is mainly used by framework and control developers.

- access: public

void raisePostBackEvent (TEventParameter $param)

- TEventParameter $param: the event parameter

render (line 77)

Renders this imagemap.

- access: public

void render (THtmlWriter $writer)

- THtmlWriter $writer

Redefinition of:

TWebControl::render()
  Renders the control.

setHotSpotMode (line 177)

Sets the behavior of hotspot regions in this imagemap when they are clicked.

If an individual hotspot has a mode other than 'NotSet', the mode set in this imagemap will be ignored. By default, 'NotSet' is equivalent to 'Navigate'.

- access: public

void setHotSpotMode (THotSpotMode $value)

- THotSpotMode $value: the behavior of hotspot regions in this imagemap when they are clicked.

setTarget (line 206)

- access: public

void setTarget (string $value)

- string $value: the target window or frame to display the new page when a hotspot region is clicked within the imagemap.

#### Inherited Methods

Inherited From TImage

> TImage::addAttributesToRender()
> TImage::getAlternateText()
> TImage::getData()
> TImage::getDescriptionUrl()
> TImage::getImageAlign()
> TImage::getImageUrl()
> TImage::getTagName()
> TImage::renderContents()
> TImage::setAlternateText()
> TImage::setData()
> TImage::setDescriptionUrl()
> TImage::setImageAlign()
> TImage::setImageUrl()

Inherited From TWebControl

> TWebControl::addAttributesToRender()
> TWebControl::clearStyle()
> TWebControl::copyBaseAttributes()
> TWebControl::createStyle()
> TWebControl::getAccessKey()
> TWebControl::getBackColor()
> TWebControl::getBorderColor()
> TWebControl::getBorderStyle()
> TWebControl::getBorderWidth()
> TWebControl::getCssClass()
> TWebControl::getDisplay()
> TWebControl::getFont()
> TWebControl::getForeColor()
> TWebControl::getHasStyle()
> TWebControl::getHeight()
> TWebControl::getStyle()
> TWebControl::getTabIndex()
> TWebControl::getTagName()
> TWebControl::getToolTip()
> TWebControl::getWidth()
> TWebControl::render()
> TWebControl::renderBeginTag()
> TWebControl::renderContents()
> TWebControl::renderEndTag()
> TWebControl::setAccessKey()
> TWebControl::setBackColor()
> TWebControl::setBorderColor()
> TWebControl::setBorderStyle()
> TWebControl::setBorderWidth()
> TWebControl::setCssClass()
> TWebControl::setDisplay()
> TWebControl::setForeColor()
> TWebControl::setHeight()
> TWebControl::setStyle()
> TWebControl::setTabIndex()
> TWebControl::setToolTip()
> TWebControl::setWidth()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants
MAP_NAME_PREFIX = 'ImageMap' (line 42)

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:35:16 -0400 by phpDocumentor 1.3.0RC4